Bug 496710 - system.listSystemEvents return type should be dateTime.iso8601 & pickup_time behaves as optional
system.listSystemEvents return type should be dateTime.iso8601 & pickup_time ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
low Severity low
: ---
: ---
Assigned To: Brad Buckingham
John Matthews
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2009-04-20 15:35 EDT by John Matthews
Modified: 2009-09-10 15:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:55:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Matthews 2009-04-20 15:35:25 EDT
Description of problem:

Return params "modified", "created", "completion_time", "pickup_time" should probably be dateTime.iso8601 opposed to 'string' to be consistent with rest of API.   I believe this is a new API introduced in 5.3, so I don't think there is a concern for backwards compatibility preventing this change.

"pickup_time" behaves as an optional, but it's not marked as such in docs, instead docs state:
  string "pickup_time" - The time the action was picked up or '' if the action was not picked up. Format ->YYYY-MM-dd hh:mm:ss.ms Eg ->2007-06-04 13:58:13.0 



Asking for 3 things
1) Change return date/time types to dateTime.iso8601
2) Update api docs to reflect change
3) Pickup time says it will return '' if action wasn't picked up, when doing a test I'm not always seeing "pickup_time"
Example:  {'archived': 0, 'failed_count': 0, 'name': 'Package Install', 'created': '2009-04-20 12:41:55.0', 'modified': '2009-04-20 12:41:55.0', 'earliest_action': '2009-04-23 12:37:54.0', 'version': '2', 'action_type': 'Package Install', 'id': 50, 'scheduler_user': 'admin', 'successful_count': 0}
Comment 1 Brad Buckingham 2009-04-21 09:42:10 EDT
This API actually exists in Satellite 5.2.0; therefore, in order to change the date format, will have to deprecate the existing String dates and add new Date dates.
Comment 2 Brad Buckingham 2009-04-21 11:54:38 EDT
master git commit: 6d6afbe9722092dd8d889503fbd0087e8e3e08fa
vader git commit: 7046b39e73f6673f0fbdc93ba23b229704d65add

deprecated modified, created, completion_time and pickup_time String results
added modified_date, created_date, completed_date and pickup_date Date results

bumped the api version to 10.3
Comment 3 Brad Buckingham 2009-04-27 08:27:01 EDT
mass move to ON_QA
Comment 4 John Matthews 2009-05-26 15:39:46 EDT
Verified ISO: Satellite-5.3.0-RHEL5-re20090520.0-i386-embedded-oracle.iso
Comment 5 Preethi Thomas 2009-08-27 10:05:35 EDT
Release Pending
Sayli tested the api
Comment 6 Brandon Perkins 2009-09-10 15:55:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.